import java.util.*;

/**
 * Pangram lets you know if a string is a Pangram
 * (contains all letters in the alphabet)
 */
public class Pangrams {
  public static boolean isPangram(String test) {
    char ch = 'a';
    char[] strBytes = test.toLowerCase().toCharArray();
    for(int i = 0; i < 26; i++) {
      boolean foundChar = false;
      for(int j = 0; j < strBytes.length; j++) {
        if(strBytes[j] == ch) {
          foundChar = true;
          break;
        }
      }
      ch++;
      if(foundChar) {
        continue;
      }
      return false;
    }
    return true;
  }
}
